import { Module } from '@nestjs/common'
import { AuthService } from './auth.service'
import { AuthController } from './auth.controller'
import { UsersModule } from 'src/users/users.module'
import { PasswordService } from './password.service'
import { JwtService } from '@nestjs/jwt'

@Module({
  controllers: [AuthController],
  providers: [AuthService, PasswordService, JwtService],
  imports: [UsersModule],
})
export class AuthModule {}
